# 32/64bit spec-file
#
%define _requires_exceptions libImlib.so.11
%define _disable_ld_no_undefined 1

Name:		amsn
Summary:	AMSN is a MSN Messenger clone for Linux
Summary(pt):	O AMSN é um clone do MSN Messenger para Linux
Summary(pt_BR):	AMSN é um clone do MSN Messenger para Linux
Group:		Networking/Instant messaging
Version:	0.98.9
Release:	%mkrel 4
License:	GPL
URL:		http://sourceforge.net/projects/amsn/
Source0:	%name-%version.tar.xz
Patch0:		amsn-0.98.1-usesnack.patch
Patch1:		amsn-0.98.9-chrpath.patch
Patch2:		amsn-11098-contact_list_extension.patch
Patch4:		amsn-0.98.1-fix_file_locations.patch
Patch5:		amsn-0.98.1-disable_version_check_on_startup.patch
BuildRoot:	%_tmppath/msn
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	ImageMagick
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}jpeg-devel
BuildRequires:  %{_lib}imlib-devel
BuildRequires:  %{_lib}farstream0.1-devel
Requires:	sox
Requires:	tcl xdg-utils
Requires:	tcl-snack
Requires:	tk
Requires:	tcltls 
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-farstream
Requires:	libnice-utils
Requires:       soundwrapper
Obsoletes:	amsn < 0.97
Provides:	amsn = %{version}-%{release}



%description
AMSN is a Microsoft Messenger clone. It allows you to keep in touch with
your friends and exchange instant messages and files. It features
multilanguage support, file transfers, new graphical interface, emoticons,
multiple profiles support, dock icon, sound events, email notification,
url processing and many more.

WARNING: this is a CVS release, and probably UNSTABLE.

%description -l pt
O AMSN é um clone do Microsoft Messenger. Permite-lhe estar sempre em contato
com seus amigos e trocar mensagens instantâneas e ficheiros. Tem suporte para
múltiplas línguas, transferências de ficheiros, um nov interface gráfico,
emoticons, suporte para múltiplos perfis, ícone na barra de tarefas,
eventos de som, notificação de correio electrónico, processamento de url e
muito mais.

ATENÇÃO: este é um lançamento CVS, e provavelmente INSTÁVEL.

%description -l pt_BR
AMSN é um clone do Microsoft Messenger. Ele permite que você esteja sempre
em contato com seus amigos e possa trocar mensagens instantâneas e arquivos.
Possui suporte a múltiplas línguas, transferência de arquivos, uma nova
interface gráfica, emoticons, suporte a múltiplos perfis, ícone de bandeja,
eventos de som, notificação de email, processamento de url e muito mais.

ATENÇÃO: este é um release do CVS, e provavelmente INSTÁVEL.


%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1

sed -i 's#\.\./libng/plugins#%{_libdir}/%{name}/utils/capture/libng/plugins#' utils/linux/capture/libng/grab-ng.c
sed -i 's#\.\./libng/contrib-plugins#%{_libdir}/%{name}/utils/capture/libng/contrib-plugins#' utils/linux/capture/libng/grab-ng.c

sed -i 's#soundcommand "play \\$sound"#soundcommand "aplay -q \\$sound"#' config.tcl
sed -i 's#set program_dir \[file dirname \[info script\]\]#set program_dir "%{_datadir}/amsn/"#' amsn amsn-remote amsn-remote-CLI

rm -r skins/default/winicons
rm -r plugins/music/MusicWin
rm plugins/amsnplus/snapshot

autoreconf -i -f -v

%build
autoreconf -fi 
%configure2_5x --enable-debug

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# Menu
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir %{buildroot}%{_datadir}/amsn %{buildroot}%{_datadir}/amsn/amsn.desktop

mkdir -p %{buildroot}%{_datadir}/applications
mv  %{buildroot}%{_datadir}/amsn/amsn.desktop %{buildroot}%{_datadir}/applications/amsn.desktop


#icons
mkdir -p $RPM_BUILD_ROOT/%_iconsdir/hicolor/{128x128,96x96,72x72,64x64,48x48,32x32,22x22,16x16}/apps
install -m644 desktop-icons/128x128/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/128x128/apps/%name.png
install -m644 desktop-icons/96x96/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/96x96/apps/%name.png
install -m644 desktop-icons/72x72/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/72x72/apps/%name.png
install -m644 desktop-icons/64x64/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/64x64/apps/%name.png
install -m644 desktop-icons/48x48/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/48x48/apps/%name.png
install -m644 desktop-icons/32x32/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/32x32/apps/%name.png
install -m644 desktop-icons/22x22/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/22x22/apps/%name.png
install -m644 desktop-icons/16x16/apps/%{name}.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/16x16/apps/%name.png

# cleanup
rm -rf %{buildroot}%{_datadir}/%{name}/sndplay
rm -rf %{buildroot}%{_datadir}/%{name}/lang/{*.*,LANG-HOWTO,sortlang}
rm -rf %{buildroot}%{_datadir}/%{name}/docs/DOCS-HOWTO
rm -rf %{buildroot}%{_datadir}/%{name}/{GNUGPL,INSTALL,remote.help,TODO}
rm -rf %{buildroot}%{_datadir}/%{name}/plugins/amsnplus/{Makefile,snapshot.c}

#fix permissons
find %{buildroot}%{_datadir}/%{name}/ -name test.tcl -exec chmod 755 {} \;

#we need bwidget to run
mkdir -p %{buildroot}%{_libdir}/%{name}/utils
cp -r utils/BWidget-1.9.0 %{buildroot}%{_libdir}/%{name}/utils/bwidget


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%doc AGREEMENT CREDITS docs/ FAQ GNUGPL HELP INSTALL README remote.help TODO lang/LANG-HOWTO
%attr(755,root,root)%_bindir/amsn
%attr(755,root,root)%_bindir/amsn-remote
%attr(755,root,root)%_bindir/amsn-remote-CLI
%_datadir/%name/*
%_datadir/applications/amsn.desktop
%_libdir/%name/utils/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/*

%changelog
* Sat Aug 16 2014 bb <bb> 0.98.9-4pclos2014
- update

* Sat Jan 25 2014 bb <bb> 0.98.9-3pclos2014
- change dep to gstreamer0.10-farstream

* Wed Feb 27 2013 pinoc <vogtpet at gmail.com> 0.98.9-2pclos2013
- correct BR for 64bit
- added ld_undef to compile on 64

* Sun Oct 21 2012 Ken <lxgator at gmail.com> 0.98.9-1pclos2012
- 0.98.9
- remove xtra plugin pkg - included 

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 0.98.3-2pclos2010
- fix package
 
* Sat Apr 10 2010 Texstar <texstar at gmail.com> 0.98.3-1pclos2010
- 0.98.3

* Sun Dec 27 2009 Texstar <texstar at gmail.com> 0.98.1-2pclos2010
- rebuild for new tcl

* Sat Nov 21 2009 Ertain <Sirius-C@iname.com> 0.98.1-1pclos2009
- New version 0.98.1
- Took out patch0.
- Took out the plugin "PowerTool".
- trim specfile

